Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## BEA WebLogic Server 9.0 API Reference

## weblogic.apache.xerces.parsers
Class DOMBuilderImpl

    java.lang.Object
      weblogic.apache.xerces.parsers.XMLParser
          weblogic.apache.xerces.parsers.AbstractXMLDocumentParser
              weblogic.apache.xerces.parsers.AbstractDOMParser
                  weblogic.apache.xerces.parsers.DOMBuilderImpl

All Implemented Interfaces:
  DOMBuilder, XMLDocumentHandler, XMLDTDContentModelHandler, XMLDTDHandler

Direct Known Subclasses:
  DOMASBuilderImpl

Deprecated. please use JDK supplied XML parsers and transformers

public class DOMBuilderImpl
extends AbstractDOMParser
implements DOMBuilder

This is Xerces DOM Builder class. It uses the abstract DOM parser with a document scanner, a dtd scanner, and a validator, as well as a grammar pool.

Field Summary
`protected static boolean` | `DEBUG` Deprecated.
`protected static String` | `DTD_VALIDATION` Deprecated.
`protected static String` | `DYNAMIC_VALIDATION` Deprecated. Dynamic validation
`protected DOMErrorHandlerWrapper` | `fErrorHandler` Deprecated.
`protected String` | `fSchemaType` Deprecated.
`protected static String` | `NAMESPACES` Deprecated. Feature identifier: namespaces.
`protected static String` | `VALIDATION_FEATURE` Deprecated. Feature id: validation.
`protected static String` | `XML_SCHEMA_VALIDATION` Deprecated.
`protected static String` | `XMLSCHEMA` Deprecated. XML Schema validation

Fields inherited from class weblogic.apache.xerces.parsers.AbstractDOMParser
`CORE_DOCUMENT_CLASS_NAME, CREATE_CDATA_NODES_FEATURE, CREATE_ENTITY_REF_NODES, CURRENT_ELEMENT_NODE, DEFAULT_DOCUMENT_CLASS_NAME, DEFER_NODE_EXPANSION, DOCUMENT_CLASS_NAME, fBaseURIStack, fCreateCDATANodes, fCreateEntityRefNodes, fCurrentCDATASection, fCurrentCDATASectionIndex, fCurrentEntityDecl, fCurrentNode, fCurrentNodeIndex, fDeferNodeExpansion, fDeferredDocumentImpl, fDeferredEntityDecl, fDocument, fDocumentClassName, fDocumentImpl, fDocumentIndex, fDocumentType, fDocumentTypeIndex, fDOMFilter, fFilterReject, fFirstChunk, fInCDATASection, fIncludeComments, fIncludeIgnorableWhitespace, fInDocument, fInDTD, fInDTDExternalSubset, fInternalSubset, fNamespaceAware, fNormalizeData, fRejectedElement, fSkippedElemStack, fStorePSVI, fStringBuffer, INCLUDE_COMMENTS_FEATURE, INCLUDE_IGNORABLE_WHITESPACE, NORMALIZE_DATA, PSVI_DOCUMENT_CLASS_NAME`

Fields inherited from class weblogic.apache.xerces.parsers.AbstractXMLDocumentParser
`fDocumentSource`

Fields inherited from class weblogic.apache.xerces.parsers.XMLParser
`ENTITY_RESOLVER, ERROR_HANDLER, fConfiguration`

Fields inherited from interface org.w3c.dom.ls.DOMBuilder
`ACTION_APPEND_AS_CHILDREN, ACTION_INSERT_AFTER, ACTION_INSERT_BEFORE, ACTION_REPLACE`

Fields inherited from interface weblogic.apache.xerces.xni.XMLDTDHandler
`CONDITIONAL_IGNORE, CONDITIONAL_INCLUDE`

Fields inherited from interface weblogic.apache.xerces.xni.XMLDTDContentModelHandler
`OCCURS_ONE_OR_MORE, OCCURS_ZERO_OR_MORE, OCCURS_ZERO_OR_ONE, SEPARATOR_CHOICE, SEPARATOR_SEQUENCE`

Constructor Summary
`DOMBuilderImpl(String configuration, String schemaType)` Deprecated. Constructs a DOM Builder using the standard parser configuration.
`DOMBuilderImpl(SymbolTable symbolTable)` Deprecated. Constructs a DOM Builder using the specified symbol table.
`DOMBuilderImpl(SymbolTable symbolTable, XMLGrammarPool grammarPool)` Deprecated. Constructs a DOM Builder using the specified symbol table and grammar pool.
`DOMBuilderImpl(XMLParserConfiguration config)` Deprecated. Constructs a DOM Builder using the specified parser configuration.

Method Summary
`boolean` | `canSetFeature(String name, boolean state)` Deprecated. Query whether setting a feature to a specific value is supported.
`void` | `endDocument(Augmentations augs)` Deprecated. Overwrite endDocument call to copy some information required for re-validation of DOM tree.
`DOMEntityResolver` | `getEntityResolver()` Deprecated. If a `DOMEntityResolver` has been specified, each time a reference to an external entity is encountered the `DOMBuilder` will pass the public and system IDs to the entity resolver, which can then specify the actual source of the entity.
`org.apache.xerces.dom3.DOMErrorHandler` | `getErrorHandler()` Deprecated. In the event that an error is encountered in the XML document being parsed, the `DOMDcoumentBuilder` will call back to the `errorHandler` with the error information.
`boolean` | `getFeature(String name)` Deprecated. Look up the value of a feature.
`DOMBuilderFilter` | `getFilter()` Deprecated. When the application provides a filter, the parser will call out to the filter at the completion of the construction of each `Element` node.
`protected void` | `initGrammarPool()` Deprecated.
`Document` | `parse(DOMInputSource is)` Deprecated. Parse an XML document from a resource identified by an `DOMInputSource`.
`Document` | `parseURI(String uri)` Deprecated. Parse an XML document from a location identified by an URI reference.
`void` | `parseWithContext(DOMInputSource is, Node cnode, short action)` Deprecated. Parse an XML document or fragment from a resource identified by an `DOMInputSource` and insert the content into an existing document at the position epcified with the `contextNode` and `action` arguments.
`void` | `reset()` Deprecated. Resets the parser state.
`void` | `setEntityResolver(DOMEntityResolver entityResolver)` Deprecated. If a `DOMEntityResolver` has been specified, each time a reference to an external entity is encountered the `DOMBuilder` will pass the public and system IDs to the entity resolver, which can then specify the actual source of the entity.
`void` | `setErrorHandler(org.apache.xerces.dom3.DOMErrorHandler errorHandler)` Deprecated. In the event that an error is encountered in the XML document being parsed, the `DOMDcoumentBuilder` will call back to the `errorHandler` with the error information.
`void` | `setFeature(String name, boolean state)` Deprecated. Set the state of a feature.
`void` | `setFilter(DOMBuilderFilter filter)` Deprecated. When the application provides a filter, the parser will call out to the filter at the completion of the construction of each `Element` node.

Methods inherited from class weblogic.apache.xerces.parsers.AbstractDOMParser
`attributeDecl, characters, comment, createAttrNode, createElementNode, doctypeDecl, elementDecl, emptyElement, endAttlist, endCDATA, endConditional, endDTD, endElement, endExternalSubset, endGeneralEntity, endParameterEntity, endPrefixMapping, externalEntityDecl, getDocument, getDocumentClassName, handleBaseURI, handleBaseURI, ignorableWhitespace, ignoredCharacters, internalEntityDecl, notationDecl, processingInstruction, setCharacterData, setDocumentClassName, startAttlist, startCDATA, startConditional, startDocument, startDTD, startElement, startExternalSubset, startGeneralEntity, startParameterEntity, startPrefixMapping, textDecl, unparsedEntityDecl, xmlDecl`

Methods inherited from class weblogic.apache.xerces.parsers.AbstractXMLDocumentParser
`any, element, empty, endContentModel, endGroup, getDocumentSource, occurrence, pcdata, separator, setDocumentSource, startContentModel, startGroup`

Methods inherited from class weblogic.apache.xerces.parsers.XMLParser
`parse`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DEBUG

    protected static final boolean DEBUG

  Deprecated.
  See Also:
    Constant Field Values

### DTD_VALIDATION

    protected static final String DTD_VALIDATION

  Deprecated.
  See Also:
    Constant Field Values

### DYNAMIC_VALIDATION

    protected static final String DYNAMIC_VALIDATION

  Deprecated.
  Dynamic validation

  See Also:
    Constant Field Values

### fErrorHandler

    protected DOMErrorHandlerWrapper fErrorHandler

  Deprecated.

### fSchemaType

    protected String fSchemaType

  Deprecated.

### NAMESPACES

    protected static final String NAMESPACES

  Deprecated.
  Feature identifier: namespaces.

  See Also:
    Constant Field Values

### VALIDATION_FEATURE

    protected static final String VALIDATION_FEATURE

  Deprecated.
  Feature id: validation.

  See Also:
    Constant Field Values

### XML_SCHEMA_VALIDATION

    protected static final String XML_SCHEMA_VALIDATION

  Deprecated.
  See Also:
    Constant Field Values

### XMLSCHEMA

    protected static final String XMLSCHEMA

  Deprecated.
  XML Schema validation

  See Also:
    Constant Field Values

Constructor Detail

### DOMBuilderImpl

    public DOMBuilderImpl(String configuration,
                          String schemaType)

  Deprecated.
  Constructs a DOM Builder using the standard parser configuration.

### DOMBuilderImpl

    public DOMBuilderImpl(SymbolTable symbolTable)

  Deprecated.
  Constructs a DOM Builder using the specified symbol table.

### DOMBuilderImpl

    public DOMBuilderImpl(SymbolTable symbolTable,
                          XMLGrammarPool grammarPool)

  Deprecated.
  Constructs a DOM Builder using the specified symbol table and grammar pool.

### DOMBuilderImpl

    public DOMBuilderImpl(XMLParserConfiguration config)

  Deprecated.
  Constructs a DOM Builder using the specified parser configuration.

Method Detail

### canSetFeature

    public boolean canSetFeature(String name,
                                 boolean state)

  Deprecated.
  Query whether setting a feature to a specific value is supported.
  The feature name has the same form as a DOM hasFeature string.

  Specified by:
    `canSetFeature` in interface `DOMBuilder`
  Parameters:
    `name` - The feature name, which is a DOM has-feature style string.
    `state` - The requested state of the feature (`true` or `false`).
  Returns:
    `true` if the feature could be successfully set to the specified value, or `false` if the feature is not recognized or the requested value is not supported. The value of the feature itself is not changed.

### endDocument

    public void endDocument(Augmentations augs)
                     throws XNIException

  Deprecated.
  Overwrite endDocument call to copy some information required for re-validation of DOM tree.

  Specified by:
    `endDocument` in interface `XMLDocumentHandler`
  Overrides:
    `endDocument` in class `AbstractDOMParser`
  Parameters:
    `augs` -
  Throws:
    `XNIException`

### getEntityResolver

    public DOMEntityResolver getEntityResolver()

  Deprecated.
  If a `DOMEntityResolver` has been specified, each time a reference to an external entity is encountered the `DOMBuilder` will pass the public and system IDs to the entity resolver, which can then specify the actual source of the entity.

  Specified by:
    `getEntityResolver` in interface `DOMBuilder`

### getErrorHandler

    public org.apache.xerces.dom3.DOMErrorHandler getErrorHandler()

  Deprecated.
  In the event that an error is encountered in the XML document being parsed, the `DOMDcoumentBuilder` will call back to the `errorHandler` with the error information. When the document loading process calls the error handler the node closest to where the error occured is passed to the error handler if the implementation, if the implementation is unable to pass the node where the error occures the document Node is passed to the error handler. Mutations to the document from within an error handler will result in implementation dependent behavour.

  Specified by:
    `getErrorHandler` in interface `DOMBuilder`

### getFeature

    public boolean getFeature(String name)
                       throws DOMException

  Deprecated.
  Look up the value of a feature.
  The feature name has the same form as a DOM hasFeature string

  Specified by:
    `getFeature` in interface `DOMBuilder`
  Parameters:
    `name` - The feature name, which is a string with DOM has-feature syntax.
  Returns:
    The current state of the feature (`true` or `false`).
  Throws:
    `DOMException` - Raise a NOT_FOUND_ERR When the `DOMBuilder` does not recognize the feature name.

### getFilter

    public DOMBuilderFilter getFilter()

  Deprecated.
  When the application provides a filter, the parser will call out to the filter at the completion of the construction of each `Element` node. The filter implementation can choose to remove the element from the document being constructed (unless the element is the document element) or to terminate the parse early. If the document is being validated when it's loaded the validation happens before the filter is called.

  Specified by:
    `getFilter` in interface `DOMBuilder`

### initGrammarPool

    protected void initGrammarPool()

  Deprecated.

### parse

    public Document parse(DOMInputSource is)

  Deprecated.
  Parse an XML document from a resource identified by an `DOMInputSource`.

  Specified by:
    `parse` in interface `DOMBuilder`

### parseURI

    public Document parseURI(String uri)

  Deprecated.
  Parse an XML document from a location identified by an URI reference. If the URI contains a fragment identifier (see section 4.1 in ), the behavior is not defined by this specification.

  Specified by:
    `parseURI` in interface `DOMBuilder`

### parseWithContext

    public void parseWithContext(DOMInputSource is,
                                 Node cnode,
                                 short action)
                          throws DOMException

  Deprecated.
  Parse an XML document or fragment from a resource identified by an `DOMInputSource` and insert the content into an existing document at the position epcified with the `contextNode` and `action` arguments. When parsing the input stream the context node is used for resolving unbound namespace prefixes.

  Specified by:
    `parseWithContext` in interface `DOMBuilder`
  Parameters:
    `is` - The `DOMInputSource` from which the source document is to be read.
    `cnode` - The `Node` that is used as the context for the data that is being parsed.
    `action` - This parameter describes which action should be taken between the new set of node being inserted and the existing children of the context node. The set of possible actions is defined above.
  Throws:
    `DOMException` - HIERARCHY_REQUEST_ERR: Thrown if this action results in an invalid hierarchy (i.e. a Document with more than one document element).

### reset

    public void reset()

  Deprecated.
  Resets the parser state.

  Overrides:
    `reset` in class `AbstractDOMParser`
  Throws:
    `SAXException` - Thrown on initialization error.

### setEntityResolver

    public void setEntityResolver(DOMEntityResolver entityResolver)

  Deprecated.
  If a `DOMEntityResolver` has been specified, each time a reference to an external entity is encountered the `DOMBuilder` will pass the public and system IDs to the entity resolver, which can then specify the actual source of the entity.

  Specified by:
    `setEntityResolver` in interface `DOMBuilder`

### setErrorHandler

    public void setErrorHandler(org.apache.xerces.dom3.DOMErrorHandler errorHandler)

  Deprecated.
  In the event that an error is encountered in the XML document being parsed, the `DOMDcoumentBuilder` will call back to the `errorHandler` with the error information. When the document loading process calls the error handler the node closest to where the error occured is passed to the error handler if the implementation, if the implementation is unable to pass the node where the error occures the document Node is passed to the error handler. Mutations to the document from within an error handler will result in implementation dependent behavour.

  Specified by:
    `setErrorHandler` in interface `DOMBuilder`

### setFeature

    public void setFeature(String name,
                           boolean state)
                    throws DOMException

  Deprecated.
  Set the state of a feature.
  The feature name has the same form as a DOM hasFeature string.
  It is possible for a `DOMBuilder` to recognize a feature name but to be unable to set its value.

  Specified by:
    `setFeature` in interface `DOMBuilder`
  Parameters:
    `name` - The feature name.
    `state` - The requested state of the feature (`true` or `false`).
  Throws:
    `DOMException` - Raise a NOT_SUPPORTED_ERR exception when the `DOMBuilder` recognizes the feature name but cannot set the requested value.
    Raise a NOT_FOUND_ERR When the `DOMBuilder` does not recognize the feature name.

### setFilter

    public void setFilter(DOMBuilderFilter filter)

  Deprecated.
  When the application provides a filter, the parser will call out to the filter at the completion of the construction of each `Element` node. The filter implementation can choose to remove the element from the document being constructed (unless the element is the document element) or to terminate the parse early. If the document is being validated when it's loaded the validation happens before the filter is called.

  Specified by:
    `setFilter` in interface `DOMBuilder`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs90 Copyright 2005 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD